Eclipse PDE Release 3.7

## org.eclipse.pde.core.project
Interface IHostDescription

    public interface IHostDescription

Describes a fragment host. Instances of this class can be created via `IBundleProjectService.newHost(String, VersionRange)`.

Since:
  3.6
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

Method Summary
`String` `getName()` Returns the symbolic name of the host.
`VersionRange` `getVersionRange()` Returns the version constraint of the host or `null` if unspecified.

Method Detail

### getName

    String getName()

  Returns the symbolic name of the host.

  Returns:
    symbolic name of the host

### getVersionRange

    VersionRange getVersionRange()

  Returns the version constraint of the host or `null` if unspecified.

  Returns:
    version constraint or `null`

Eclipse PDE Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) 2000, 2011 IBM Corporation and others. All rights reserved.